unit uEditorDatoBancario;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Mask, DBCtrls, DB, uDAInterfaces, uDADataTable,
  uBizContactosDatosBancarios, uIEditorDatoBancarioContacto,
  uDatosBancariosContactoController;

type
  TfEditorDatoBancario = class(TForm, IEditorDatoBancarioContacto)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    eEntidad: TDBEdit;
    eSucursal: TDBEdit;
    eDC: TDBEdit;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    dsDatosBancarios: TDADataSource;
    Label5: TLabel;
    eTitular: TDBEdit;
    Label6: TLabel;
    eCuenta: TDBEdit;
  protected
    FController : IDatosBancariosContactoController;
    FDatosBanco : IBizContactosDatosBancarios;
  
    function GetController : IDatosBancariosContactoController;
    procedure SetController (const Value : IDatosBancariosContactoController);
    function GetDatoBancario: IBizContactosDatosBancarios;
    procedure SetDatoBancario(const Value: IBizContactosDatosBancarios);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    property Controller : IDatosBancariosContactoController read GetController
      write SetController;
    property DatoBancario: IBizContactosDatosBancarios read GetDatoBancario write SetDatoBancario;
  end;

implementation

uses
  Variants;

{$R *.dfm}

{ TfEditorDireccion }

constructor TfEditorDatoBancario.Create(AOwner: TComponent);
begin
  inherited;
  FController := NIL;
end;

destructor TfEditorDatoBancario.Destroy;
begin
  FController := NIL;
  inherited;
end;

function TfEditorDatoBancario.GetController: IDatosBancariosContactoController;
begin
  Result := FController;
end;

function TfEditorDatoBancario.GetDatoBancario: IBizContactosDatosBancarios;
begin
  Result := FDatosBanco;
end;

procedure TfEditorDatoBancario.SetController(
  const Value: IDatosBancariosContactoController);
begin
  FController := Value;
end;

procedure TfEditorDatoBancario.SetDatoBancario(
  const Value: IBizContactosDatosBancarios);
begin
  FDatosBanco := Value;
  if Assigned(FDatosBanco) then
    dsDatosBancarios.DataTable := FDatosBanco.DataTable
  else
    dsDatosBancarios.DataTable := NIL;
end;

end.
